Skip to content

WireIdCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireIdCodeSelectFields⁠

POST

Execute the persistent ParameterService getWireIdCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireIdCodeSelectFields
POST /nexum/627/persistent/parameter/getWireIdCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireIdCodeFields": true,
    "WireIdCodeFields": {
      "Field9OtherIdentification": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireIdCodeByID⁠

POST

Execute the persistent ParameterService updateWireIdCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireIdCodeByID
POST /nexum/627/persistent/parameter/updateWireIdCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireIdCodeFields": {
    "Field9OtherIdentification": [
      {
        "EntryId": 0,
        "Field9OtherIdentification": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}